Bug 191294 - [PATCH] devel/mercurial --authormapsuffix
Summary: [PATCH] devel/mercurial --authormapsuffix
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kubilay Kocak
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-23 01:11 UTC by Lawrence Stewart
Modified: 2014-06-28 12:54 UTC (History)
1 user (show)

See Also:


Attachments
Proposed port patch provided by gjb (6.68 KB, text/plain)
2014-06-23 01:11 UTC, Lawrence Stewart
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lawrence Stewart freebsd_committer 2014-06-23 01:11:30 UTC
Created attachment 144050 [details]
Proposed port patch provided by gjb

As part of the set up and ongoing running of hg-beta.freebsd.org, I make use of a patch against devel/mercurial which allows me to append a suffix to author names during the svn -> hg incremental conversion process.

clusteradm@ are working to streamline the package management on cluster hosts and it would simplify things for them if the hg-beta.freebsd.org jail did not make use of any custom compiled software.

The patch in question is at [1]. and after discussion with upstream [2,3] it was decided not to fold it into the official Mercurial distribution.

I'm hoping to carry the patch in our mercurial/devel port as an off-by-default option which clusteradm@ can then enable for cluster package builds via poudriere.

[1] http://people.freebsd.org/~lstewart/ports/mercurial/patch-authormapsuffix

[2] http://mercurial.808500.n3.nabble.com/PATCH-convert-add-authormapsuffix-to-append-set-text-to-author-names-issue4171-td4007341.html

[3] http://bz.selenic.com/show_bug.cgi?id=4171
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2014-06-23 01:34:26 UTC
I'll take it
Comment 2 commit-hook freebsd_committer 2014-06-27 12:07:57 UTC
A commit references this bug:

Author: koobs
Date: Fri Jun 27 12:07:42 UTC 2014
New revision: 359507
URL: http://svnweb.freebsd.org/changeset/ports/359507

Log:
  devel/mercurial: Add FREEBSD option for authormapsuffix patch

  Add a patch by lstewart that allows appending a suffix to author names
  during svn -> hg incremental conversions.

  Functionality is provided by the "--authormapsuffix" option, and can be used in
  conjunction with "--authormap".

  This has been submitted upstream [1][2], but will not be merged into the
  official distribution, at least in the short term.

  [1] http://bz.selenic.com/show_bug.cgi?id=4171
  [2] http://www.selenic.com/pipermail/mercurial-devel/2014-February/056310.html

  PR:		191294
  Submitted by:	gjb, lstewart

Changes:
  head/devel/mercurial/Makefile
  head/devel/mercurial/files/extra-patch-authormapsuffix